package com.cico.nest.lcdp.boot.core.qxsd.domain.event;

/**
 * 隧道管控事件处置状态
 * 1确认， 2无需处置，3误报，4挂起，5结束
 * @author zws
 * @date 2024/8/15
 */
public enum EventProcessStatus {

    confirm(1, "确认"),
    nothing(2, "无需处置"),
    mistake(3, "误报"),
    handup(4,"挂起"),
    over(5,"结束");


    public final int type;

    public final String desc;

    EventProcessStatus(Integer type, String desc){
        this.desc = desc;
        this.type = type;
    }

    /**
     * 每种处置状态对应的事件状态
     * @param process
     * @return
     */
    public static int convert2EventStatus(int process){
        int eventStatus = EventStatus.disposing_process.type;
        switch (process){
            case 2:  ;
            case 3: ;
            case 5: eventStatus=EventStatus.disposing_end.type;
        }
        return eventStatus;
    }

}
